Remove paket yang error. URGENT !!!

Semua mengenai lingkungan desktop Ubuntu.
User avatar
s0t4
Posts: 32
Joined: 12 Apr 2010, 07:47

Remove paket yang error. URGENT !!!

Postby s0t4 » 03 Jun 2010, 11:23

Para master....


kemarin saya upgrade dar ubuntu 9.10 ke 10.04 desktop...

Tapi saya ada sedikit masalah untuk paket install pdns-recursor.
Sebenarnya installnya masalah mulai dari versi sebelumnya (errornya sy lupa)... tapi saat upgrade (dari update manager), setelah semua terupgrade paket itu bikin masalah besar....


Saya jadinya gak bisa install software apapun...
Saat install software pasti keluar error begini :
E:I wasn't able to locate file for the pdns-recursor package. This might mean you need to manually fix this package.: dpkg: error processing pdns-recursor (--configure):

Package is in a very bad inconsistent state - you should

reinstall it before attempting configuration.



Aku coba :
#sudo dpkg --configure pdns-recursor
dpkg: error processing pdns-recursor (--configure):
Package is in a very bad inconsistent state - you should
reinstall it before attempting configuration.
Errors were encountered while processing:
pdns-recursor

Aku coba install ulang pakai :
$ sudo apt-get install pdns-recursor
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be upgraded:
pdns-recursor
1 upgraded, 0 newly installed, 0 to remove and 6 not upgraded.
1 not fully installed or removed.
Need to get 0B/458kB of archives.
After this operation, 16.4kB of additional disk space will be used.
(Reading database ... 205365 files and directories currently installed.)
Preparing to replace pdns-recursor 3.1.7-5ubuntu0.1 (using .../pdns-recursor_3.1.7.2-1_i386.deb) ...
* Stopping PowerDNS recursor pdns-recursor invoke-rc.d: initscript pdns-recursor, action "stop" failed.
dpkg: warning: old pre-removal script returned error exit status 1
dpkg - trying script from the new package instead ...
* Stopping PowerDNS recursor pdns-recursor invoke-rc.d: initscript pdns-recursor, action "stop" failed.
dpkg: error processing /var/cache/apt/archives/pdns-recursor_3.1.7.2-1_i386.deb (--unpack):
subprocess new pre-removal script returned error exit status 1
postinst called with unknown argument `abort-upgrade'
dpkg: error while cleaning up:
subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
/var/cache/apt/archives/pdns-recursor_3.1.7.2-1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


Upgrade maupun remove lewat synaptic Package Manager juga tidak bisa (warnanya kuning (bukan hijau))...


Bagaimana nih.... remove atau install tidak bisa....semuanya jadi kacau tidak bisa ngapangapain... untuk upgrade maupun install paket lainnya....

Saya tes jalanin programnya (/etc/init.d/pdns-recursor start) .. normal bisa jalan.. tapi saat diupgrade tidak bisa... dan ini jadi menghambat upgrade yang lainnya..

Caranya bagaimana ya untuk remove paksa atau biar tidak dicek untuk diupgrade di ubuntunya???? please help.....



Thnks
User avatar
blackshirt
Posts: 2336
Joined: 02 Jan 2010, 17:00
Location: Solo dan Kebumen
Contact:

Re: Remove paket yang error. URGENT !!!

Postby blackshirt » 03 Jun 2010, 15:43

coba remove aja file pdns-recursor_3.1.7.2-1_i386.deb di direktory /var/cache/apt/archives/

Return to “Ubuntu Desktop”

Who is online

Users browsing this forum: No registered users and 3 guests